export default function getInfo(base, callback) {
  fetch(`${base}/setting/list`)
  .then(response => {
    return response.json();
  })
  .then(myJson =>  {
    let result = myJson.result
    if(result.browserName) {
      document.title = result.browserName
    }
    if(result.browserIcon) {
      document.querySelector("link[rel*='icon']").href = result.browserIcon
    }
    sessionStorage.setItem('systemOptions', JSON.stringify(result))
    callback && callback(result)
  });
}